<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ombs-OnlineMovieBookingSystem: omsb Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ombs-OnlineMovieBookingSystem
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">omsb Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classomsb_1_1_http_server.html">HttpServer</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">this the class that handels user REST API requests. we only need to create one object abd start server. there is no need to create multiple instanaces in one node as each request is handlled in dedicated thread.  <a href="classomsb_1_1_http_server.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classomsb_1_1_mongo_db_handler.html">MongoDbHandler</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">this is the class to allow creation of controller objects as needed for ombs mongodb database  <a href="classomsb_1_1_mongo_db_handler.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a47db1e9f6209ead9120a7ea360f2618d"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a47db1e9f6209ead9120a7ea360f2618d">ombsIpAddress</a> [] = &quot;0.0.0.0&quot;</td></tr>
<tr class="separator:a47db1e9f6209ead9120a7ea360f2618d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2085949a646e0fdd4d3dd07728d000a7"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a2085949a646e0fdd4d3dd07728d000a7">ombsPort</a> [] = &quot;5000&quot;</td></tr>
<tr class="separator:a2085949a646e0fdd4d3dd07728d000a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a604c29051b181fefaec2a3ca73bcf25f"><td class="memItemLeft" align="right" valign="top">constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a604c29051b181fefaec2a3ca73bcf25f">ombsThreads</a> = 100</td></tr>
<tr class="separator:a604c29051b181fefaec2a3ca73bcf25f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adaa081f71b2c4b93586590ae1741add7"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#adaa081f71b2c4b93586590ae1741add7">ombsAddTheaterEndpoint</a> [] = &quot;/addtheater&quot;</td></tr>
<tr class="separator:adaa081f71b2c4b93586590ae1741add7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92aa63f88b439e55b947e15d93df764b"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a92aa63f88b439e55b947e15d93df764b">ombsAddMovieEndpoint</a> [] = &quot;/addmovie&quot;</td></tr>
<tr class="separator:a92aa63f88b439e55b947e15d93df764b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7985df2da8d951f070ec3649b8293f16"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a7985df2da8d951f070ec3649b8293f16">ombsGetAllTheatersEndpoint</a> [] = &quot;/getalltheaters&quot;</td></tr>
<tr class="separator:a7985df2da8d951f070ec3649b8293f16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a455eaf86a103872b05c6fa1f13db7348"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a455eaf86a103872b05c6fa1f13db7348">ombsGetAllMoviesEndpoint</a> [] = &quot;/getallmovies&quot;</td></tr>
<tr class="separator:a455eaf86a103872b05c6fa1f13db7348"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5ea7f1ccefc59887b556d8aa43c494f"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#ab5ea7f1ccefc59887b556d8aa43c494f">ombsAddMovieShowEndpoint</a> [] = &quot;/addshow&quot;</td></tr>
<tr class="separator:ab5ea7f1ccefc59887b556d8aa43c494f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4f5e13978bab25d6d0f042a3e694a9b"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#af4f5e13978bab25d6d0f042a3e694a9b">ombsBookSeatsEndpoint</a> [] = &quot;/bookseats&quot;</td></tr>
<tr class="separator:af4f5e13978bab25d6d0f042a3e694a9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8d32bcae1ecbfd2d9a4aa72c0fd6c34"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#af8d32bcae1ecbfd2d9a4aa72c0fd6c34">ombsGetAllMovieShowsEndpoint</a> [] = &quot;/&quot;</td></tr>
<tr class="separator:af8d32bcae1ecbfd2d9a4aa72c0fd6c34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20941250a216ab77289cceb6ba61cdcb"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a20941250a216ab77289cceb6ba61cdcb">ombsGetTheaterByMovieEndpoint</a> [] = &quot;/{movie_id}&quot;</td></tr>
<tr class="separator:a20941250a216ab77289cceb6ba61cdcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad871d082de14f4a98ff3653f3bb9231a"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#ad871d082de14f4a98ff3653f3bb9231a">ombsGetAvailableSeatsByMovieAndByTheaterEndpoint</a> [] = &quot;/{movie_id}/{theater_id}&quot;</td></tr>
<tr class="separator:ad871d082de14f4a98ff3653f3bb9231a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9fa713289adf0403b4e9e4933119aa5"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#ae9fa713289adf0403b4e9e4933119aa5">ombsMongoDbUri</a> [] = &quot;mongodb://0.0.0.0&quot;</td></tr>
<tr class="separator:ae9fa713289adf0403b4e9e4933119aa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04aab5d8b25fb4d8a0d290be9a1674fb"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a04aab5d8b25fb4d8a0d290be9a1674fb">ombsOmbsDatabaseName</a> [] = &quot;ombs_database&quot;</td></tr>
<tr class="separator:a04aab5d8b25fb4d8a0d290be9a1674fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6db4d98839f154bd725bbab9217f7169"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a6db4d98839f154bd725bbab9217f7169">ombsMovieShowsCollectionName</a> [] = &quot;movieshows&quot;</td></tr>
<tr class="separator:a6db4d98839f154bd725bbab9217f7169"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad228ec140c97bd390aa3254f377e4b54"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#ad228ec140c97bd390aa3254f377e4b54">ombsTheatersCollectionName</a> [] = &quot;theaters&quot;</td></tr>
<tr class="separator:ad228ec140c97bd390aa3254f377e4b54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e782e5b847709cd85efc1dadb6526bf"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a6e782e5b847709cd85efc1dadb6526bf">ombsMoviesCollectionName</a> [] = &quot;movies&quot;</td></tr>
<tr class="separator:a6e782e5b847709cd85efc1dadb6526bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8978065622ebccb03944482bae950286"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a8978065622ebccb03944482bae950286">ombsSeatsCollectionName</a> [] = &quot;seats&quot;</td></tr>
<tr class="separator:a8978065622ebccb03944482bae950286"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8e19c46fe6cde2ad6d941b11cc46701"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#ae8e19c46fe6cde2ad6d941b11cc46701">ombsBookingsCollectionName</a> [] = &quot;bookings&quot;</td></tr>
<tr class="separator:ae8e19c46fe6cde2ad6d941b11cc46701"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ecca3d4606ecd606a2d64c9a6628387"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a5ecca3d4606ecd606a2d64c9a6628387">NUMBER_OF_SEATS_FOR_A_MOVIE_IN_THEATER</a> = 20</td></tr>
<tr class="memdesc:a5ecca3d4606ecd606a2d64c9a6628387"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assume that available seats number for a couple of given thrater and movie is 20.  <a href="namespaceomsb.html#a5ecca3d4606ecd606a2d64c9a6628387">More...</a><br /></td></tr>
<tr class="separator:a5ecca3d4606ecd606a2d64c9a6628387"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a822a40e494a03b196294e7333981ab59"><td class="memItemLeft" align="right" valign="top">mongocxx::instance&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a822a40e494a03b196294e7333981ab59">instance</a></td></tr>
<tr class="memdesc:a822a40e494a03b196294e7333981ab59"><td class="mdescLeft">&#160;</td><td class="mdescRight">instance to mongodb driver, should be declared only once in all the application.  <a href="namespaceomsb.html#a822a40e494a03b196294e7333981ab59">More...</a><br /></td></tr>
<tr class="separator:a822a40e494a03b196294e7333981ab59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4e72116c77b65c50a00b136491fafec"><td class="memItemLeft" align="right" valign="top">std::mutex&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#aa4e72116c77b65c50a00b136491fafec">seats_booking_mutex_lock</a></td></tr>
<tr class="memdesc:aa4e72116c77b65c50a00b136491fafec"><td class="mdescLeft">&#160;</td><td class="mdescRight">this a lock mutex to avoid averbooking when we book a list of seats  <a href="namespaceomsb.html#aa4e72116c77b65c50a00b136491fafec">More...</a><br /></td></tr>
<tr class="separator:aa4e72116c77b65c50a00b136491fafec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a822a40e494a03b196294e7333981ab59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a822a40e494a03b196294e7333981ab59">&#9670;&nbsp;</a></span>instance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">mongocxx::instance omsb::instance</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>instance to mongodb driver, should be declared only once in all the application. </p>

</div>
</div>
<a id="a5ecca3d4606ecd606a2d64c9a6628387"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ecca3d4606ecd606a2d64c9a6628387">&#9670;&nbsp;</a></span>NUMBER_OF_SEATS_FOR_A_MOVIE_IN_THEATER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int omsb::NUMBER_OF_SEATS_FOR_A_MOVIE_IN_THEATER = 20</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Assume that available seats number for a couple of given thrater and movie is 20. </p>

</div>
</div>
<a id="a92aa63f88b439e55b947e15d93df764b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92aa63f88b439e55b947e15d93df764b">&#9670;&nbsp;</a></span>ombsAddMovieEndpoint</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsAddMovieEndpoint[] = &quot;/addmovie&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab5ea7f1ccefc59887b556d8aa43c494f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5ea7f1ccefc59887b556d8aa43c494f">&#9670;&nbsp;</a></span>ombsAddMovieShowEndpoint</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsAddMovieShowEndpoint[] = &quot;/addshow&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adaa081f71b2c4b93586590ae1741add7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adaa081f71b2c4b93586590ae1741add7">&#9670;&nbsp;</a></span>ombsAddTheaterEndpoint</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsAddTheaterEndpoint[] = &quot;/addtheater&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae8e19c46fe6cde2ad6d941b11cc46701"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8e19c46fe6cde2ad6d941b11cc46701">&#9670;&nbsp;</a></span>ombsBookingsCollectionName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsBookingsCollectionName[] = &quot;bookings&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af4f5e13978bab25d6d0f042a3e694a9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4f5e13978bab25d6d0f042a3e694a9b">&#9670;&nbsp;</a></span>ombsBookSeatsEndpoint</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsBookSeatsEndpoint[] = &quot;/bookseats&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a455eaf86a103872b05c6fa1f13db7348"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a455eaf86a103872b05c6fa1f13db7348">&#9670;&nbsp;</a></span>ombsGetAllMoviesEndpoint</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsGetAllMoviesEndpoint[] = &quot;/getallmovies&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af8d32bcae1ecbfd2d9a4aa72c0fd6c34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8d32bcae1ecbfd2d9a4aa72c0fd6c34">&#9670;&nbsp;</a></span>ombsGetAllMovieShowsEndpoint</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsGetAllMovieShowsEndpoint[] = &quot;/&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7985df2da8d951f070ec3649b8293f16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7985df2da8d951f070ec3649b8293f16">&#9670;&nbsp;</a></span>ombsGetAllTheatersEndpoint</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsGetAllTheatersEndpoint[] = &quot;/getalltheaters&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad871d082de14f4a98ff3653f3bb9231a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad871d082de14f4a98ff3653f3bb9231a">&#9670;&nbsp;</a></span>ombsGetAvailableSeatsByMovieAndByTheaterEndpoint</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsGetAvailableSeatsByMovieAndByTheaterEndpoint[] = &quot;/{movie_id}/{theater_id}&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a20941250a216ab77289cceb6ba61cdcb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20941250a216ab77289cceb6ba61cdcb">&#9670;&nbsp;</a></span>ombsGetTheaterByMovieEndpoint</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsGetTheaterByMovieEndpoint[] = &quot;/{movie_id}&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a47db1e9f6209ead9120a7ea360f2618d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47db1e9f6209ead9120a7ea360f2618d">&#9670;&nbsp;</a></span>ombsIpAddress</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsIpAddress[] = &quot;0.0.0.0&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae9fa713289adf0403b4e9e4933119aa5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9fa713289adf0403b4e9e4933119aa5">&#9670;&nbsp;</a></span>ombsMongoDbUri</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsMongoDbUri[] = &quot;mongodb://0.0.0.0&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6e782e5b847709cd85efc1dadb6526bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e782e5b847709cd85efc1dadb6526bf">&#9670;&nbsp;</a></span>ombsMoviesCollectionName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsMoviesCollectionName[] = &quot;movies&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6db4d98839f154bd725bbab9217f7169"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6db4d98839f154bd725bbab9217f7169">&#9670;&nbsp;</a></span>ombsMovieShowsCollectionName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsMovieShowsCollectionName[] = &quot;movieshows&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a04aab5d8b25fb4d8a0d290be9a1674fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04aab5d8b25fb4d8a0d290be9a1674fb">&#9670;&nbsp;</a></span>ombsOmbsDatabaseName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsOmbsDatabaseName[] = &quot;ombs_database&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2085949a646e0fdd4d3dd07728d000a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2085949a646e0fdd4d3dd07728d000a7">&#9670;&nbsp;</a></span>ombsPort</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsPort[] = &quot;5000&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8978065622ebccb03944482bae950286"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8978065622ebccb03944482bae950286">&#9670;&nbsp;</a></span>ombsSeatsCollectionName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsSeatsCollectionName[] = &quot;seats&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad228ec140c97bd390aa3254f377e4b54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad228ec140c97bd390aa3254f377e4b54">&#9670;&nbsp;</a></span>ombsTheatersCollectionName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char omsb::ombsTheatersCollectionName[] = &quot;theaters&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a604c29051b181fefaec2a3ca73bcf25f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a604c29051b181fefaec2a3ca73bcf25f">&#9670;&nbsp;</a></span>ombsThreads</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr int omsb::ombsThreads = 100</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa4e72116c77b65c50a00b136491fafec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4e72116c77b65c50a00b136491fafec">&#9670;&nbsp;</a></span>seats_booking_mutex_lock</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::mutex omsb::seats_booking_mutex_lock</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>this a lock mutex to avoid averbooking when we book a list of seats </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
